---
title: 'Document: transitionstart event'
slug: Web/API/Document/transitionstart_event
tags:
  - DOM
  - Document
  - Event
  - Reference
  - Web
  - transitionstart
---
<div>{{APIRef}}{{SeeCompatTable}}</div>

<p>The <strong><code>transitionstart</code></strong> event is fired when a <a href="/en-US/docs/CSS/Using_CSS_transitions">CSS transition</a> has actually started, i.e., after any {{cssxref("transition-delay")}} has ended.</p>

<p>The difference is <code>transitionstart</code> and <code>transitionrun</code> is that <code>transitionrun</code> fires when the transition is created (i.e. at the start of any delay) and <code>transitionstart</code> fires when the actual animation has begun (i.e. at the end of any delay).</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("TransitionEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers.ontransitionstart")}}</td>
  </tr>
 </tbody>
</table>

<p>The original target for this event is the {{domxref("Element")}} that had the transition applied. You can listen for this event on the {{domxref("Document")}} interface to handle it in the capture or bubbling phases. For full details on this event please see the page on <a href="/en-US/docs/Web/API/HTMLElement/transitionstart_event">HTMLElement: transitionstart</a>.</p>

<h2 id="Examples">Examples</h2>

<p>This code adds a listener to the <code>transitionstart</code> event:</p>

<pre class="brush: js">document.addEventListener('transitionstart', () =&gt; {
  console.log('Started transitioning');
});</pre>

<p>The same, but using the {{domxref("GlobalEventHandlers/ontransitionstart", "ontransitionstart")}} property instead of <code>addEventListener()</code>:</p>

<pre class="brush: js">document.ontransitionrun = () =&gt; {
  console.log('Started transitioning');
};</pre>

<p><a href="/en-US/docs/Web/API/HTMLElement/transitionstart_event#Live_example">See a live example of this event.</a></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Transitions', '#transitionstart', 'transitionstart')}}</td>
   <td>{{Spec2('CSS3 Transitions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.transitionstart_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("GlobalEventHandlers.ontransitionstart")}} event handler</li>
 <li>The {{domxref("TransitionEvent")}} interface</li>
 <li>CSS properties: {{cssxref("transition")}}, {{cssxref("transition-delay")}}, {{cssxref("transition-duration")}}, {{cssxref("transition-property")}}, {{cssxref("transition-timing-function")}}</li>
 <li>Related events: {{domxref("Document/transitionend_event", "transitionend")}}, {{domxref("Document/transitionrun_event", "transitionrun")}}, {{domxref("Document/transitioncancel_event", "transitioncancel")}}</li>
 <li>This event on {{domxref("HTMLElement")}} targets: {{domxref("HTMLElement/transitionstart_event", "transitionstart")}}</li>
 <li>This event on {{domxref("Window")}} targets: {{domxref("Window/transitionstart_event", "transitionstart")}}</li>
</ul>
